Skip to main content
PUT
/
organizations
/
{id}
cURL
curl -X PUT https://api.growthbook.io/api/v1/organizations/org_abc123 \
  -d '{ "name": "My Subsidiary", "externalId": "subsidiary-123" }' \
  -u secret_abc123DEF456:
{
  "organization": {
    "id": "<string>",
    "externalId": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "ownerEmail": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Body

application/json
name
string

The name of the organization

externalId
string

An optional identifier that you use within your company for the organization

Response

200 - application/json

Success

organization
object
required